Open SCAP Library

Public Member Functions
oval_result_directives Struct Reference
OVAL » OVALDIR

This structure holds instance of either OVAL Default Directives or OVAL Class directives. More...

`#include <oval_directives.h>`

## Public Member Functions
struct oval_result_directives * | oval_result_directives_new (void)
| Create new OVAL Results Directives instance. More...
void | oval_result_directives_free (struct oval_result_directives *)
void | oval_result_directives_set_reported (struct oval_result_directives *, int flag, bool val)
| Set (or unset) result types that are intended to be reported. More...
void | oval_result_directives_set_content (struct oval_result_directives *, int flag, oval_result_directive_content_t)
| Configure the depth of infomation.
void | oval_result_directives_set_included (struct oval_result_directives *, bool)
bool | oval_result_directives_get_reported (struct oval_result_directives *, oval_result_t)
bool | oval_result_directives_get_included (struct oval_result_directives *)
oval_result_directive_content_t | oval_result_directives_get_content (struct oval_result_directives *, oval_result_t)

## Detailed Description

This structure holds instance of either OVAL Default Directives or OVAL Class directives.

The documentation for this struct was generated from the following file:

- oval_directives.h